com.ibm.openpages.api.solution

## Interface ISolutionLayout

-     public interface ISolutionLayout

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Id` | `getId()` Returns local unique identifier of the solution layout
    `java.util.Date` | `getModifiedDate()` Returns the last date the solution layout was updated.
    `java.lang.String` | `getName()` Returns the name of the solution layout
    `Id` | `getSolutionId()` Returns local unique identifier of the solution
    `Id` | `getSolutionVersionId()` Returns local unique identifier of the version of the solution
    `int` | `getType()` Returns the type of solution layout
    `boolean` | `isDefault()` Returns if the solution layout is a default one or not.
    `boolean` | `isEnabled()` Returns whether the solution layout is enabled
    `boolean` | `isSuppliedByVendor()` Returns whether the solution layout was supplied by IBM
    `void` | `setDefault(boolean isDefault)` Sets the solution layout's default state.
    `void` | `setEnabled(boolean enabled)` Sets whether the solution layout is enabled.
    `void` | `setName(java.lang.String name)` Sets the name of the solution layout

- - ### Method Detail

    - #### getId

          Id getId()

      Returns local unique identifier of the solution layout
      Returns:

    - #### getSolutionVersionId

          Id getSolutionVersionId()

      Returns local unique identifier of the version of the solution
      Returns:

    - #### getSolutionId

          Id getSolutionId()

      Returns local unique identifier of the solution
      Returns:

    - #### getName

          java.lang.String getName()

      Returns the name of the solution layout
      Returns:

    - #### setName

          void setName(java.lang.String name)

      Sets the name of the solution layout
      Parameters:
        `name` -

    - #### getType

          int getType()

      Returns the type of solution layout
      Returns:

    - #### isDefault

          boolean isDefault()

      Returns if the solution layout is a default one or not.
      Returns:
        true if the solution layout is default.

    - #### setDefault

          void setDefault(boolean isDefault)

      Sets the solution layout's default state.
      Parameters:
        `isDefault` -

    - #### getModifiedDate

          java.util.Date getModifiedDate()

      Returns the last date the solution layout was updated.
      Returns:

    - #### isEnabled

          boolean isEnabled()

      Returns whether the solution layout is enabled
      Returns:

    - #### setEnabled

          void setEnabled(boolean enabled)

      Sets whether the solution layout is enabled.
      Parameters:
        `enabled` -

    - #### isSuppliedByVendor

          boolean isSuppliedByVendor()

      Returns whether the solution layout was supplied by IBM
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.